Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.vectorhighlight
Class FieldFragList.WeightedFragInfo

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.FieldFragList.WeightedFragInfo

Enclosing class:
  FieldFragList

    public static class FieldFragList.WeightedFragInfo

extends Object

Nested Class Summary
`static class` | `FieldFragList.WeightedFragInfo.SubInfo`

Constructor Summary
`FieldFragList.WeightedFragInfo(int startOffset, int endOffset, List<FieldPhraseList.WeightedPhraseInfo> phraseInfoList)`

Method Summary
`int` | `getEndOffset()`
`int` | `getStartOffset()`
`List<FieldFragList.WeightedFragInfo.SubInfo>` | `getSubInfos()`
`float` | `getTotalBoost()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldFragList.WeightedFragInfo

    public FieldFragList.WeightedFragInfo(int startOffset,
                                          int endOffset,
                                          List<FieldPhraseList.WeightedPhraseInfo> phraseInfoList)

Method Detail

### getSubInfos

    public List<FieldFragList.WeightedFragInfo.SubInfo> getSubInfos()

### getTotalBoost

    public float getTotalBoost()

### getStartOffset

    public int getStartOffset()

### getEndOffset

    public int getEndOffset()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD